{
  "name": "query/manager/order/order_row/sales/sales_lead_time_grid.json",
  "database": "4d",
  "parameter": {
    "show_sql": true,
    "start_date": "2018-01-01",
		"end_date": "2018-12-31",
		"finished_delivery_state": ["LT"]
  },
  "query": [
    ["sor_delivery_date", ">=", "start_date"],
    "and",
		["sor_delivery_date", "<=", "end_date"],
		"and",
		["sor_delivery_state", "in", "finished_delivery_state"]
  ],
	"order": ["sor_sales_order_id", ">", "sor_row_number", ">"],
	"field": [
		"sor_record_id",
		"sor_sales_order_id",
		"sor_row_number",
		"sor_delivery_date",
		"wo_produced_amount",
		"wo_production_lot",
		"wo_work_order_id",
		"wo_print_date",
		"pr_product_id",
		"pr_name",
		"pr_product_group",
		"so_order_date",
		"so_company_id"
	],
	"fieldX": [
		"sor_product_id",
		"sor_sales_order_id",
		"sor_delivery_date",
		"pr_product_group",
		"so_order_date",
		"wo_produced_amount",
		"wo_production_lot",
		"wo_act_finish_date",
		"wpa_work_time__amount",
		"w_product_id"
	]
}
